'CS to HLSW
'Version: 1.0
const version as string = "1.0"
'Erstellt am: 7.11.2014
'Beschreibung:
'Erstellt aus der lokal gespeicherten Serverliste von CS 1.5 Retail bzw.
'Half-Life mit CS-Mod 1.5 eine HLSW-Server-Liste
function doesfileexist(dateiname as string) as integer
	/'
		Falls eine Datei oder ein Verzeichnis unter dem übergebenen Namen exis-
		tiert, wird 1 zurück gegeben, sonst 0. Kann u. gewissen Umständen
		(nicht zum Lesen der Datei berechtigt, o. Ä.) fehlerhaft arbeiten.
	'/
	dim exists as integer
	dim filenummer as integer
	filenummer=freefile
	/'
		Und genau hier liegt der Hase im Pfeffer: Bei 0 ist die Datei da. Aber
		z. B. bei 2 gibts Zugriffsprobleme, obwohl die Datei da ist.
	'/
	if open (dateiname for input as filenummer) = 0 then exists=1 else exists=0
	close filenummer
	return exists
end function

dim dateiname as string
dim serverip as string
dim servername as string
dim port as string
dim hlswausgabe as string
dim anzahl as uinteger

cls
print"##### CS to HLSW "+version+" #####"
print
'if not doesfileexist("favsvrs.dat") then print chr(34);"favsvrs.dat";chr(34);" existiert nicht. Liegt CS to HLSW im falschen Verzeichnis?":end
input"Wie soll die HLSW-Server-Liste heißen? ",dateiname
if (len(dateiname) < 6) or (not instr(dateiname,".sslf")) then dateiname=dateiname+".sslf"
open "favsvrs.dat" for input as #1
open dateiname for output as #2
print #2,"SSLF - Shared Server List Format - Version 1.01"
print #2,
print #2,"// Created by CS to HLSW "+version
print #2,"// Dateiformatsinformationen auf www.hlsw.de unter Developer"
print #2,"// Informationen zu ";chr(34);"CS to HLSW";chr(34);" unter http://mwohlauer.christof-b.de/downloads"
print #2,
print #2,"Name="+chr(34)+"CS to HLSW"+chr(34)
print #2,
while not eof(1)
	line input #1,serverip
	if instr(serverip,chr(34)+"address"+chr(34)) then
		line input #1,port
		line input #1,servername
		serverip=left(serverip,len(serverip)-1):'damit fliegt das letzte " raus
		serverip=right(serverip,len(serverip)-13):'damit bleibt nur noch die Adresse über
		port = right(port,len(port)-10)'der Port ohne "Port"-Teil
		port=left(port,len(port)-1)'der Port ohne letztes "
		servername=left(servername,len(servername)-1)
		servername=right(servername,len(servername)-10)
		hlswausgabe="Server=HLWON "+serverip+":"+port+chr(32)+chr(34)+chr(34)+chr(32)+chr(34)+servername+chr(34)
		print #2, hlswausgabe
		anzahl=anzahl+1
	end if
wend
close 1
close 2
print anzahl;" Server gefunden!"
